Bug Hunting Session
Bug 105608 - Bottom action button area in dialog windows do not align with above content area
Summary: Bottom action button area in dialog windows do not align with above content area
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dialog-UX
  Show dependency treegraph
 
Reported: 2017-01-30 08:32 UTC by Trinh Anh Ngoc
Modified: 2018-10-23 02:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example: options dialog window (65.74 KB, image/png)
2017-01-30 08:32 UTC, Trinh Anh Ngoc
Details
Customize dialog (58.80 KB, image/png)
2017-01-31 03:00 UTC, Trinh Anh Ngoc
Details
Style dialog (44.42 KB, image/png)
2017-01-31 03:01 UTC, Trinh Anh Ngoc
Details
Works for me (2.02 KB, image/png)
2017-03-21 16:51 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Trinh Anh Ngoc 2017-01-30 08:32:49 UTC
Created attachment 130760 [details]
Example: options dialog window

In most of LibreOffice' dialog windows, action button area (Help, Ok, Cancel,...) do not align (left and right) with above content area.
Comment 1 Heiko Tietze 2017-01-30 12:07:22 UTC
I don't think it's an improvement when we align the left edge of the tree with the left side of the help button. But let's have it open for a while to get more opinions.
Comment 2 Trinh Anh Ngoc 2017-01-31 03:00:13 UTC
Created attachment 130783 [details]
Customize dialog
Comment 3 Trinh Anh Ngoc 2017-01-31 03:01:34 UTC
Created attachment 130784 [details]
Style dialog
Comment 4 Adolfo Jayme 2017-01-31 04:26:58 UTC
→ NEW
Comment 5 Heiko Tietze 2017-01-31 08:23:54 UTC
(In reply to Adolfo Jayme from comment #4)
> → NEW

Please elaborate in respect to comment 1 (NEW is not set yet).
Comment 6 Adolfo Jayme 2017-02-02 10:00:35 UTC
What’s NEEDINFO about this? The gap is obvious.

FTR, it’s caused by the standard 6-px padding applied to all widgets. It’s bothered me since we migrated to Glade, but haven’t found a way to fix it yet.
Comment 7 Heiko Tietze 2017-02-06 10:08:45 UTC
(In reply to Adolfo Jayme from comment #6)
> What’s NEEDINFO about this? The gap is obvious.

I set NEEDINFO to have a reminder for myself mainly. My point in comment 1 was that this change is not required and I wanted to get more opinions. Question is: Do we want to perfectly align the confirmation buttons at the footer dialogs with the content above?
Comment 8 Heiko Tietze 2017-03-21 16:51:37 UTC
Created attachment 132049 [details]
Works for me

The look and feel depends on the system. This is Windows LibO 5.3.1.2 and I don't see the need to fix the alignment. Since there was no further opinion I'll close the ticket as WFM.
Comment 9 Adolfo Jayme 2017-03-22 14:08:48 UTC
In your “works for me” screenshot, there’s an obvious discrepance in the alignment of the borders of the tab page and the buttons below it. Please don’t close this again.
Comment 10 Heiko Tietze 2017-03-22 14:25:32 UTC
(In reply to Adolfo Jayme from comment #9)
> In your “works for me” screenshot, there’s an obvious discrepance in the
> alignment of the borders of the tab page and the buttons below it. Please
> don’t close this again.

If you think it should be fixed do it. Hope you don't need more input from UX.
Comment 11 QA Administrators 2018-10-23 02:49:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug